[Unit]
Description=GPIO Monitor Server
After=network.target
Wants=network.target

[Service]
Type=simple
User=user
Group=user
WorkingDirectory=/home/user/temp/golang

# Запуск сервера
ExecStart=/home/user/temp/golang/build/gpio-monitor-server -pipe /tmp/gpio_pipe

# Перезапуск при падении
Restart=on-failure
RestartSec=10s

# Лимиты и безопасность
LimitNOFILE=4096
NoNewPrivileges=yes

# Логирование
StandardOutput=journal
StandardError=journal
SyslogIdentifier=gpio-monitor

[Install]
WantedBy=multi-user.target
